Package com.collabnet.ce.soap60.webservices.cemain

# Class AttachmentSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapRow

public class AttachmentSoapRow extends Object
AttachmentSoapList is used to get a list of attachments.
Change History
Release: 6.1

- Added transactionId, createdBy and createdByFullname information.

Since:
  4.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttachmentId()`
  Returns 'attachmentId'.
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `String`
  `getCreatedByFullname()`
  Returns 'createdByFullname'.
  `Date`
  `getDateCreated()`
  Returns 'dateCreated'.
  `String`
  `getFileName()`
  Returns 'fileName'.
  `String`
  `getFileSize()`
  Returns 'fileSize'.
  `String`
  `getMimetype()`
  Returns 'mimetype'.
  `String`
  `getRawFileId()`
  Returns 'rawFileId'.
  `String`
  `getStoredFileId()`
  Returns 'storedFileId'.
  `String`
  `getTransactionId()`
  Returns 'transactionId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAttachmentId(String attachmentId)`
  Sets 'attachmentId'.
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setCreatedByFullname(String createdByFullname)`
  Sets 'createdByFullname'.
  `void`
  `setDateCreated(Date dateCreated)`
  Sets 'dateCreated'.
  `void`
  `setFileName(String fileName)`
  Sets 'fileName'.
  `void`
  `setFileSize(String fileSize)`
  Sets 'fileSize'.
  `void`
  `setMimetype(String mimetype)`
  Sets 'mimetype'.
  `void`
  `setRawFileId(String rawFileId)`
  Sets 'rawFileId'.
  `void`
  `setStoredFileId(String storedFileId)`
  Sets 'storedFileId'.
  `void`
  `setTransactionId(String transactionId)`
  Sets 'transactionId'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentSoapRow

    public AttachmentSoapRow()

- ## Method Details

  - ### getAttachmentId

    public String getAttachmentId()
    Returns 'attachmentId'. Id of the attachment. This is what is displayed in the UI and used in APIs like deleteAttachment(). Should be used in conjunction with the object which it belongs.
    Returns:
      Value of 'attachmentId'.

  - ### setAttachmentId

    public void setAttachmentId(String attachmentId)
    Sets 'attachmentId'. Id of the attachment. This is what is displayed in the UI and used in APIs like deleteAttachment(). Should be used in conjunction with the object which it belongs.
    Parameters:
      `attachmentId` - Value of 'attachmentId'.

  - ### getStoredFileId

    public String getStoredFileId()
    Returns 'storedFileId'. The id of the corresponding physical file
    Returns:
      Value of 'storedFileId'.

  - ### setStoredFileId

    public void setStoredFileId(String storedFileId)
    Sets 'storedFileId'. The id of the corresponding physical file
    Parameters:
      `storedFileId` - Value of 'storedFileId'.

  - ### getRawFileId

    public String getRawFileId()
    Returns 'rawFileId'. The raw file id of the corresponding physical file
    Returns:
      Value of 'rawFileId'.

  - ### setRawFileId

    public void setRawFileId(String rawFileId)
    Sets 'rawFileId'. The raw file id of the corresponding physical file
    Parameters:
      `rawFileId` - Value of 'rawFileId'.

  - ### getFileName

    public String getFileName()
    Returns 'fileName'. The name of the attachment file
    Returns:
      Value of 'fileName'.

  - ### setFileName

    public void setFileName(String fileName)
    Sets 'fileName'. The name of the attachment file
    Parameters:
      `fileName` - Value of 'fileName'.

  - ### getFileSize

    public String getFileSize()
    Returns 'fileSize'. Size of the attachment file
    Returns:
      Value of 'fileSize'.

  - ### setFileSize

    public void setFileSize(String fileSize)
    Sets 'fileSize'. Size of the attachment file
    Parameters:
      `fileSize` - Value of 'fileSize'.

  - ### getMimetype

    public String getMimetype()
    Returns 'mimetype'. Mimetype of the attachment
    Returns:
      Value of 'mimetype'.

  - ### setMimetype

    public void setMimetype(String mimetype)
    Sets 'mimetype'. Mimetype of the attachment
    Parameters:
      `mimetype` - Value of 'mimetype'.

  - ### getDateCreated

    public Date getDateCreated()
    Returns 'dateCreated'. The date the attachment was created
    Returns:
      Value of 'dateCreated'.

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)
    Sets 'dateCreated'. The date the attachment was created
    Parameters:
      `dateCreated` - Value of 'dateCreated'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. The user who created the attachment
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. The user who created the attachment
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getCreatedByFullname

    public String getCreatedByFullname()
    Returns 'createdByFullname'. The user's full name who created the attachment
    Returns:
      Value of 'createdByFullname'.

  - ### setCreatedByFullname

    public void setCreatedByFullname(String createdByFullname)
    Sets 'createdByFullname'. The user's full name who created the attachment
    Parameters:
      `createdByFullname` - Value of 'createdByFullname'.

  - ### getTransactionId

    public String getTransactionId()
    Returns 'transactionId'. The transaction id associated with the attachment creation event
    Returns:
      Value of 'transactionId'.

  - ### setTransactionId

    public void setTransactionId(String transactionId)
    Sets 'transactionId'. The transaction id associated with the attachment creation event
    Parameters:
      `transactionId` - Value of 'transactionId'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)